org.python.modules

## Class math

- java.lang.Object
- - org.python.modules.math

All Implemented Interfaces:
  ClassDictInit

    public class math
    extends java.lang.Object
    implements ClassDictInit

### Field Summary

Fields
`static PyFloat` `e`
`static PyFloat` `pi`

### Constructor Summary

Constructors
Constructor and Description
`math()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `acos(double v)`
`static double` `acosh(double y)` Compute cosh-1y.
`static double` `asin(double v)`
`static double` `asinh(double v)`
`static double` `atan(double v)`
`static double` `atan2(double v, double w)`
`static double` `atanh(double y)` Compute tanh-1y.
`static double` `ceil(double v)`
`static double` `ceil(PyObject v)`
`static void` `classDictInit(PyObject dict)`
`static double` `copysign(double v, double w)`
`static double` `cos(double v)`
`static double` `cosh(double v)`
`static double` `degrees(double v)`
`static double` `erf(double v)`
`static double` `erfc(double v)`
`static double` `exp(double v)`
`static double` `expm1(double v)`
`static double` `fabs(double v)`
`static PyLong` `factorial(double v)`
`static double` `floor(double v)`
`static double` `floor(PyObject v)`
`static double` `fmod(double v, double w)`
`static PyTuple` `frexp(double x)`
`static double` `fsum(PyObject iterable)`
`static double` `gamma(double v)`
`static double` `hypot(double x, double y)` Returns (x2 +y2)½ without intermediate overflow or underflow.
`static boolean` `isinf(double v)`
`static boolean` `isnan(double v)`
`static double` `ldexp(double v, PyObject wObj)`
`static double` `lgamma(double v)`
`static double` `log(PyObject v)`
`static double` `log(PyObject v, PyObject base)`
`static double` `log10(PyObject v)`
`static double` `log1p(double v)`
`static PyTuple` `modf(double v)`
`static double` `pow(double v, double w)`
`static double` `radians(double v)`
`static double` `sin(double v)`
`static double` `sin(PyObject v)`
`static double` `sinh(double v)`
`static double` `sqrt(double v)`
`static double` `sqrt(PyObject v)`
`static double` `tan(double v)`
`static double` `tanh(double v)`
`static PyObject` `trunc(PyObject number)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pi

    public static PyFloat pi

#### e

    public static PyFloat e

### Constructor Detail

#### math

    public math()

### Method Detail

#### classDictInit

    public static void classDictInit(PyObject dict)

#### gamma

    public static double gamma(double v)

#### lgamma

    public static double lgamma(double v)

#### erf

    public static double erf(double v)

#### erfc

    public static double erfc(double v)

#### expm1

    public static double expm1(double v)

#### acos

    public static double acos(double v)

#### acosh

    public static double acosh(double y)

Compute cosh-1y.

Parameters:
  `y` -
Returns:
  x such that cosh x = y

#### asin

    public static double asin(double v)

#### asinh

    public static double asinh(double v)

#### atan

    public static double atan(double v)

#### atanh

    public static double atanh(double y)

Compute tanh-1y.

Parameters:
  `y` -
Returns:
  x such that tanh x = y

#### atan2

    public static double atan2(double v,
                               double w)

#### ceil

    public static double ceil(PyObject v)

#### ceil

    public static double ceil(double v)

#### cos

    public static double cos(double v)

#### cosh

    public static double cosh(double v)

#### exp

    public static double exp(double v)

#### floor

    public static double floor(PyObject v)

#### floor

    public static double floor(double v)

#### log

    public static double log(PyObject v)

#### log

    public static double log(PyObject v,
                             PyObject base)

#### pow

    public static double pow(double v,
                             double w)

#### sin

    public static double sin(PyObject v)

#### sin

    public static double sin(double v)

#### sqrt

    public static double sqrt(PyObject v)

#### sqrt

    public static double sqrt(double v)

#### tan

    public static double tan(double v)

#### log10

    public static double log10(PyObject v)

#### sinh

    public static double sinh(double v)

#### tanh

    public static double tanh(double v)

#### fabs

    public static double fabs(double v)

#### fmod

    public static double fmod(double v,
                              double w)

#### modf

    public static PyTuple modf(double v)

#### frexp

    public static PyTuple frexp(double x)

#### trunc

    public static PyObject trunc(PyObject number)

#### ldexp

    public static double ldexp(double v,
                               PyObject wObj)

#### hypot

    public static double hypot(double x,
                               double y)

Returns (x2 +y2)½ without intermediate overflow or underflow. If either argument is infinite, the result is infinite, but overflow during the calculation is detected as an error.

Parameters:
  `x` -
  `y` -
Returns:
  (x2 +y2)½

#### radians

    public static double radians(double v)

#### degrees

    public static double degrees(double v)

#### isnan

    public static boolean isnan(double v)

#### isinf

    public static boolean isinf(double v)

Parameters:
  `v` -
Returns:
  `true` if v is positive or negative infinity

#### copysign

    public static double copysign(double v,
                                  double w)

#### factorial

    public static PyLong factorial(double v)

#### log1p

    public static double log1p(double v)

#### fsum

    public static double fsum(PyObject iterable)